slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPWhich

Determines which part of the spectrum is requested

### Synopsis

    typedef enum { PEP_LARGEST_MAGNITUDE=1,
                   PEP_SMALLEST_MAGNITUDE,
                   PEP_LARGEST_REAL,
                   PEP_SMALLEST_REAL,
                   PEP_LARGEST_IMAGINARY,
                   PEP_SMALLEST_IMAGINARY,
                   PEP_TARGET_MAGNITUDE,
                   PEP_TARGET_REAL,
                   PEP_TARGET_IMAGINARY,
                   PEP_ALL,
                   PEP_WHICH_USER } PEPWhich;

### See Also

PEPSetWhichEigenpairs(), PEPGetWhichEigenpairs()

### Level

intermediate

### Location

include/slepcpep.h

### Examples

src/pep/tutorials/ex38.c
src/pep/tutorials/ex50.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages